Bug 1787355 - [API] [Import] The skip message in additional errors in not shown, for filter based skipped template
Summary: [API] [Import] The skip message in additional errors in not shown, for filter...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Templates Plugin
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: Ondřej Pražák
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-02 14:27 UTC by Jitendra Yejare
Modified: 2020-04-14 13:28 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_templates-7.0.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28632 Normal Closed [API] [Import] The skip message in additional errors in not shown, for filter based skipped template 2020-01-17 07:11:40 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:22 UTC

Description Jitendra Yejare 2020-01-02 14:27:40 UTC
Description of problem:
Earlier the 'additional errors' used to show an error/info not importing the template due to the filter while importing the templates. But that seems to be not working now.

Version-Release number of selected component (if applicable):
Satellite 6.7 snap 7

How reproducible:
Always

Steps to Reproduce:
1. Using API calls, Attempt to import the template with a name that does not match the filter.

Actual results:
1. The json output does not have an info 'Name is not matching filter condition, skipping' text and it shows None.

Expected results:
1. Assert json output should have an info contains 'Name is not matching filter condition, skipping' text.

Additional info:

Comment 4 Ondřej Pražák 2020-01-03 13:25:20 UTC
Created redmine issue https://projects.theforeman.org/issues/28632 from this bug

Comment 5 Ondřej Pražák 2020-01-03 13:34:49 UTC
The information about template being filtered out was moved out of the additional_errors into additional_info field. The additional_info will need to be exposed in API.

Comment 6 Bryan Kearney 2020-01-03 15:01:08 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 7 Bryan Kearney 2020-01-03 15:01:10 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 8 Bryan Kearney 2020-01-14 09:01:18 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28632 has been resolved.

Comment 9 Jitendra Yejare 2020-01-17 07:42:51 UTC
Verified!

@Satellite 6.7 snap 8


Steps:
-----------
1. Using API calls, Attempt to import the template with a name that does not match the filter.


Behavior:
------------
1. The json output now shows an info 'Skipping, 'name' filtered out based on 'filter' and 'negate' settings' text in additional_info.

Comment 12 errata-xmlrpc 2020-04-14 13:28:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.